Bug 30973 - Serials search wrong body id
Summary: Serials search wrong body id
Status: Pushed to stable
Alias: None
Product: Koha
Classification: Unclassified
Component: Serials (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Fridolin Somers
QA Contact: Martin Renvoize
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2022-06-16 07:55 UTC by Fridolin Somers
Modified: 2022-07-13 20:04 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:
22.11.00, 22.05.03


Attachments
Bug 30973: Serials search fix body id (1.23 KB, patch)
2022-06-16 08:00 UTC, Fridolin Somers
Details | Diff | Splinter Review
Bug 30973: Serials search fix body id (1.30 KB, patch)
2022-06-16 09:55 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 30973: Serials search fix body id (1.35 KB, patch)
2022-06-16 10:13 UTC, David Nind
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Fridolin Somers 2022-06-16 07:55:29 UTC
The serials search page serials/serials-search.pl has HTML body id :
  <body id="ser_serials-home" class="ser">
It is the same as serials home page.
Comment 1 Fridolin Somers 2022-06-16 08:00:07 UTC
Created attachment 136125 [details] [review]
Bug 30973: Serials search fix body id

The serials search page serials/serials-search.pl has HTML body id :
  <body id="ser_serials-home" class="ser">
It is the same as serials home page.

This patch replaces with id="ser_serials-search"

Test plan :
1) Go to Serials > Advanced search
2) Look at HTML code
3) Check you see <body id="ser_serials-search" class="ser">
Comment 2 Martin Renvoize 2022-06-16 09:55:44 UTC
Created attachment 136138 [details] [review]
Bug 30973: Serials search fix body id

The serials search page serials/serials-search.pl has HTML body id :
  <body id="ser_serials-home" class="ser">
It is the same as serials home page.

This patch replaces with id="ser_serials-search"

Test plan :
1) Go to Serials > Advanced search
2) Look at HTML code
3) Check you see <body id="ser_serials-search" class="ser">

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 3 Martin Renvoize 2022-06-16 09:56:39 UTC
Trivial improvement, no JS functions or CSS tied to the original ID.. Straight PQA from me.
Comment 4 David Nind 2022-06-16 10:13:18 UTC
Created attachment 136144 [details] [review]
Bug 30973: Serials search fix body id

The serials search page serials/serials-search.pl has HTML body id :
  <body id="ser_serials-home" class="ser">
It is the same as serials home page.

This patch replaces with id="ser_serials-search"

Test plan :
1) Go to Serials > Advanced search
2) Look at HTML code
3) Check you see <body id="ser_serials-search" class="ser">

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>

Signed-off-by: David Nind <david@davidnind.com>
Comment 5 Tomás Cohen Arazi 2022-06-16 12:49:13 UTC
Pushed to master for 22.11.

Nice work everyone, thanks!
Comment 6 Fridolin Somers 2022-06-20 06:27:17 UTC
Whaooo thank you all, I tough this would end in the never-fixed limbo ^
Comment 7 Lucas Gass 2022-07-13 20:04:44 UTC
Backported to 22.05.x for 22.05.03